
(* This file was auto-generated based on "parserMessages.messages". *)

(* Please note that the function [message] can raise [Not_found]. *)

let message =
  fun s ->
    match s with
    | 303 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | ~ = term; ~ = op; ~ = factor; <EBinOp>\n"
    | 263 ->
        "At this point, one of the following is expected:\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\na comma ',' followed with an expression, or\na closing parenthesis ')'.\n"
    | 269 ->
        "At this point, one of the following is expected:\na comma ',' followed with an expression, or\na bar '|' followed with an expression, or\na closing parenthesis ')'.\n"
    | 264 | 335 | 282 | 254 ->
        "After a semicolon, an expression is expected.\n(A rule cannot be terminated with a semicolon.)\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n"
    | 251 | 355 | 261 | 270 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | term; MUL; factor\n"
    | 256 | 266 | 297 ->
        "A comma-separated list of expressions is expected at this point.\n"
    | 253 ->
        "At this point, one of the following is expected:\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\nanother rule.\n"
    | 354 ->
        "At this point, one of the following is expected:\na bar '|' followed with an expression, or\nanother rule.\n"
    | 260 ->
        "At this point, one of the following is expected:\nan equals sign '=' followed with a symbol, or\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\na closing parenthesis ')'.\n"
    | 250 ->
        "At this point, one of the following is expected:\nan equals sign '=' followed with a symbol, or\na semicolon ';' followed with an expression, or\na bar '|' followed with an expression, or\nanother rule.\n"
    | 244 ->
        "A pattern is expected at this point.\nExamples of patterns:\n  x\n  ~\n  _\n  (x, y, _)\n"
    | 246 | 248 ->
        "The previous opening parenthesis seemed to be the beginning of a tuple pattern.\nThus, either a comma ',' followed with a pattern\nor a closing parenthesis ')' is expected at this point.\n"
    | 237 | 240 ->
        "This opening parenthesis seems to be the beginning of a tuple pattern.\nThus, a comma-separated list of patterns is expected at this point.\n"
    | 328 | 272 ->
        "A semantic action is expected at this point.\n"
    | 334 | 281 ->
        "A semicolon ';' is expected at this point.\n"
    | 333 | 277 ->
        "A symbol is expected at this point.\n"
    | 332 | 276 ->
        "An equals sign '=' is expected at this point.\n"
    | 226 ->
        "An expression is expected at this point.\nExamples of expressions:\n  term\n  t = term; { t }\n  LPAREN; ~ = term; RPAREN; <>\n  factor | term; MUL; factor\n"
    | 221 ->
        "At this point, one of the following is expected:\na comma ',' followed with an expression, or\na closing parenthesis ')'.\n"
    | 220 ->
        "A comma-delimited list of formal parameters is expected at this point.\n"
    | 219 | 223 ->
        "An equality symbol ':=' or '==' is expected at this point.\nExamples of well-formed rules:\n  let  option(X) := { None } | x = X; { Some x } (* ordinary *)\n  let ioption(X) == { None } | x = X; { Some x } (*  inline  *)\n"
    | 215 ->
        "A lowercase identifier is expected at this point.\n"
    | 104 ->
        "Ill-formed rule.\n'let' or '%inline' or a non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public     option(X):   { None } | x = X  { Some x }\n  %public let option(X) := { None } | x = X; { Some x }\n"
    | 61 | 74 | 65 | 70 | 66 | 79 ->
        "Ill-formed '%attribute' declaration.\nAn '%attribute' declaration should contain a nonempty list of symbols,\nfollowed with a nonempty list of attributes.\nExamples of well-formed declarations:\n  %attribute FOO [@printer \"foo\"]\n  %attribute bar BAZ [@printer \"bar/BAZ\"] [@cost 2.0]\n"
    | 13 ->
        "Ill-formed list of actual parameters.\nEither a modifier '*' or '+' or '?'\nor a closing parenthesis ')'\nor a comma ',' is expected at this point.\nExamples of well-formed actual parameters:\n  expr\n  expr+\n  option(expr)\n  separated_list(COMMA, expr)\n"
    | 12 | 143 ->
        "Ill-formed list of actual parameters.\nA comma-delimited list of actual parameters is expected at this point.\nExamples of well-formed actual parameters:\n  expr\n  expr+\n  option(expr)\n  separated_list(COMMA, expr)\n"
    | 211 ->
        "Either another rule\nor another production '|' ...\nis expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n"
    | 128 ->
        "Ill-formed rule.\nA colon ':' is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n"
    | 158 ->
        "Ill-formed rule.\nEither a semantic action '{' ... '}'\nor another production '|' ...\nis expected at this point.\nExamples of well-formed rules:\n  expr: MINUS e = expr %prec UMINUS { -e }\n"
    | 138 | 184 ->
        "Ill-formed rule.\nA comma-delimited list of actual parameters is expected at this point.\nExamples of well-formed rules:\n  call: f = callee LPAREN args = separated_list(COMMA, expr) RPAREN { f, args }\n  list(X): { [] } | x = X; xs = list(X) { x :: xs }\n"
    | 176 | 149 | 205 | 231 | 346 ->
        "Ill-formed %prec annotation.\nA symbol is expected at this point.\nExamples of well-formed annotations:\n  expr: MINUS e = expr %prec UMINUS { -e }\n"
    | 148 | 155 ->
        "Either another production '|' ...\nor a comma ','\nor a closing parenthesis ')'\nis expected at this point.\n"
    | 156 ->
        "A production is expected at this point.\nA production is a sequence of producers, followed with a semantic action.\nExamples of well-formed producers:\n  expr\n  option(COMMA)\n  separated_list(COMMA, expr)\n  e = expr\n  ds = declaration*\n  es = list(terminated(expr, SEMI))\n  es = list(e = expr SEMI { e })\n  xs = list(x = var { Some x } | WILDCARD { None })\n"
    | 192 | 191 | 141 ->
        "Ill-formed production.\nMaybe you meant to close a parenthesis at this point?\nA production is a sequence of producers, followed with a semantic action.\nExamples of well-formed producers:\n  expr\n  option(COMMA)\n  separated_list(COMMA, expr)\n  e = expr\n  ds = declaration*\n  es = list(terminated(expr, SEMI))\n  es = list(e = expr SEMI { e })\n  xs = list(x = var { Some x } | WILDCARD { None })\n"
    | 171 | 172 | 134 | 135 | 197 ->
        "Ill-formed production.\nA production is a sequence of producers, followed with a semantic action.\nExamples of well-formed producers:\n  expr\n  option(COMMA)\n  separated_list(COMMA, expr)\n  e = expr\n  ds = declaration*\n  es = list(terminated(expr, SEMI))\n  es = list(e = expr SEMI { e })\n  xs = list(x = var { Some x } | WILDCARD { None })\n  expr [@cost 0]\n"
    | 129 | 131 | 212 | 159 ->
        "Ill-formed rule.\nA list of productions is expected at this point.\nExamples of well-formed rules:\n  main: e = expr; EOL { e }\n  expr: i = INT { i } | e1 = expr; PLUS; e2 = expr { e1 + e2 }\n  symbol: s = LID | s = UID { s }\n"
    | 126 ->
        "Ill-formed rule.\nA closing parenthesis ')' is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n  pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 119 | 124 ->
        "Ill-formed rule.\nA comma-delimited list of formal parameters is expected at this point.\nExamples of well-formed rules:\n  option(X): { None } | x = X { Some x }\n  pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 118 ->
        "Ill-formed rule.\nEither a parenthesized, comma-delimited list of formal parameters\nor an attribute\nor a colon ':' is expected at this point.\nExamples of well-formed rules:\n  main: e = expr; EOL { e }\n  expr: i = INT { i } | e1 = expr; PLUS; e2 = expr { e1 + e2 }\n  option(X): { None } | x = X { Some x }\n  main [@cost 0]: e = expr; EOL { e }\n"
    | 111 ->
        "Ill-formed rule.\nA non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public option(X): { None } | x = X { Some x }\n  %inline clist(X): xs = separated_nonempty_list(COMMA?, X) { xs }\n  %public %inline pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 106 ->
        "Ill-formed rule.\nEither '%public' or a non-terminal symbol is expected at this point.\nExamples of well-formed rules:\n  %public option(X): { None } | x = X { Some x }\n  %inline clist(X): xs = separated_nonempty_list(COMMA?, X) { xs }\n  %public %inline pair(X, Y): x = X; y = Y { (x, y) }\n"
    | 204 ->
        "Either another production '|' ...\nor another rule is expected at this point.\n"
    | 200 ->
        "Another rule is expected at this point.\n"
    | 103 ->
        "A rule is expected at this point.\n"
    | 82 ->
        "Ill-formed '%parameter' declaration.\nExamples of well-formed declarations:\n  %parameter <X : sig type t end>\n"
    | 94 | 98 | 99 ->
        "Ill-formed precedence declaration.\nExamples of well-formed declarations:\n  %left PLUS\n  %left PLUS MINUS\n  %nonassoc unary_minus\n  %right CONCAT\n"
    | 50 | 52 | 53 | 55 ->
        "Ill-formed '%start' declaration.\nA start symbol must begin with a lowercase letter.\nExamples of well-formed declarations:\n  %start program\n  %start expression phrase\n  %start <int> date time\n"
    | 37 | 39 | 40 | 45 | 47 ->
        "Ill-formed '%token' declaration.\nExamples of well-formed declarations:\n  %token FOO\n  %token BAR \"|\"\n  %token DOT \".\" SEMICOLON \";\"\n  %token <string> LID UID\n  %token FOO [@cost 0]\n"
    | 1 | 2 | 6 | 7 | 32 | 11 | 17 | 27 | 84 ->
        "Ill-formed declaration.\nExamples of well-formed declarations:\n  %type <Syntax.expression> expression\n  %type <int> date time\n  %type <int option> option(date)\n  %on_error_reduce expression\n  %on_error_reduce date time\n  %on_error_reduce option(date)\n"
    | 0 | 366 ->
        "Either a declaration or '%%' is expected at this point.\n"
    | _ ->
        raise Not_found
